<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<span
  *ngIf="metadata.type == metadataTypeEnum.Boolean"
  [innerText]="value | booleanName: false">
</span>

<span
  *ngIf="metadata.type == metadataTypeEnum.Date"
  [innerText]="value | date: 'shortDate'">
</span>

<span
  *ngIf="metadata.type == metadataTypeEnum.Float || metadata.type == metadataTypeEnum.Integer"
  class="font-monospace text-size-monospace"
  [innerText]="value | number">
</span>

<span
  *ngIf="metadata.type == metadataTypeEnum.Text"
  [innerText]="value">
</span>

<span *ngIf="metadata.type == metadataTypeEnum.Url">
  <a
    [href]="value"
    [text]="value"
    target="_blank">
  </a>
</span>
